summaryrefslogtreecommitdiff
path: root/app-arch
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2015-01-17 12:36:43 +0200
committerBlackNoxis <steven.darklight@gmail.com>2015-01-17 12:36:43 +0200
commit3f2951db3bd0fb217293609fa4498693a65e5f89 (patch)
tree16644bf085f5d7ce62291b81f64bb4bbe9fdf844 /app-arch
parentf4693751225bf58b845c12c435d355f400081a89 (diff)
Added file roller
Diffstat (limited to 'app-arch')
-rw-r--r--app-arch/file-roller/Manifest2
-rw-r--r--app-arch/file-roller/file-roller-3.12.1.ebuild101
-rw-r--r--app-arch/file-roller/file-roller-3.12.2.ebuild101
-rw-r--r--app-arch/file-roller/files/3.6.0-packages.match30
-rw-r--r--app-arch/file-roller/files/file-roller-2.10.3-use_bin_tar.patch12
-rw-r--r--app-arch/file-roller/metadata.xml12
6 files changed, 258 insertions, 0 deletions
diff --git a/app-arch/file-roller/Manifest b/app-arch/file-roller/Manifest
new file mode 100644
index 00000000..02bce635
--- /dev/null
+++ b/app-arch/file-roller/Manifest
@@ -0,0 +1,2 @@
+DIST file-roller-3.12.1.tar.xz 1397404 SHA256 bb35ae0d3542eee59b916b699f86298dfe93379b1769d6ca1980b2db95672481 SHA512 9685d2dbeaa4711fb125b39c69046e04a1779f112dbe795cf1bb948af2bfd3cc148de196250b8dd76e984c2398c56043af1948a42d4b76f1b6b25700d012f542 WHIRLPOOL 1dc6b9fa212863347eeebfa42124a51378311a4b620bd5ccc082f6ea669afe9f8ee975c597f6ae21b08b670322222e7dce7fc60e9a90850b7500cdd32890f3c1
+DIST file-roller-3.12.2.tar.xz 1396796 SHA256 0677be6618dba609eae2d76420e8a5a8d9a414bcec654e7b71e65b941764eacf SHA512 8e47ca0b8ee619da161d55909647ac6aac5645e7120c5f71f34dd8911b6ca2b530031b8efaeab10d668e9a3428fc4e03159605dac626aa600026719d8741f22f WHIRLPOOL 61be4185d82adbd8dabc6fc9a007490596b373b249cebeb9c2a615fd6cdf6575a31c01196588ae3ab2e839dea2136a976bf03b40fce54ba0dba571e7f7972b5e
diff --git a/app-arch/file-roller/file-roller-3.12.1.ebuild b/app-arch/file-roller/file-roller-3.12.1.ebuild
new file mode 100644
index 00000000..26e90d15
--- /dev/null
+++ b/app-arch/file-roller/file-roller-3.12.1.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+
+inherit eutils gnome2 readme.gentoo
+
+DESCRIPTION="Archive manager for GNOME"
+HOMEPAGE="http://fileroller.sourceforge.net/"
+
+LICENSE="GPL-2+ CC-BY-SA-3.0"
+SLOT="0"
+IUSE="nautilus packagekit"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux"
+
+# gdk-pixbuf used extensively in the source
+# cairo used in eggtreemultidnd.c
+# pango used in fr-window
+RDEPEND="
+ >=app-arch/libarchive-3:=
+ >=dev-libs/glib-2.36:2
+ >=dev-libs/json-glib-0.14
+ >=x11-libs/gtk+-3.9.3:3
+ >=x11-libs/libnotify-0.4.3:=
+ sys-apps/file
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/pango
+ packagekit? ( app-admin/packagekit-base )
+"
+DEPEND="${RDEPEND}
+ dev-util/desktop-file-utils
+ >=dev-util/intltool-0.40.0
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+PDEPEND="nautilus? ( ~gnome-extra/nautilus-file-roller-${PV} )"
+
+# eautoreconf needs:
+# gnome-base/gnome-common
+
+DISABLE_AUTOFORMATTING="yes"
+DOC_CONTENTS="
+${PN} is a frontend for several archiving utilities. If you want a
+particular archive format support, see ${HOMEPAGE}
+and install the relevant package. For example:
+7-zip - app-arch/p7zip
+ace - app-arch/unace
+arj - app-arch/arj
+cpio - app-arch/cpio
+deb - app-arch/dpkg
+iso - app-cdr/cdrtools
+jar,zip - app-arch/zip and app-arch/unzip
+lha - app-arch/lha
+lzop - app-arch/lzop
+rar - app-arch/unrar or app-arch/unar
+rpm - app-arch/rpm
+unstuff - app-arch/stuffit
+zoo - app-arch/zoo"
+
+src_prepare() {
+ # Use absolute path to GNU tar since star doesn't have the same
+ # options. On Gentoo, star is /usr/bin/tar, GNU tar is /bin/tar
+ epatch "${FILESDIR}"/${PN}-2.10.3-use_bin_tar.patch
+
+ # File providing Gentoo package names for various archivers
+ cp -f "${FILESDIR}/3.6.0-packages.match" data/packages.match || die
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ DOCS="AUTHORS ChangeLog HACKING MAINTAINERS NEWS README* TODO"
+ # --disable-debug because enabling it adds -O0 to CFLAGS
+ gnome2_src_configure \
+ --disable-run-in-place \
+ --disable-static \
+ --disable-debug \
+ --enable-magic \
+ --enable-libarchive \
+ --with-smclient=xsmp \
+ --disable-nautilus-actions \
+ $(use_enable packagekit) \
+ ITSTOOL=$(type -P true)
+}
+
+src_install() {
+ gnome2_src_install
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+ readme.gentoo_print_elog
+}
diff --git a/app-arch/file-roller/file-roller-3.12.2.ebuild b/app-arch/file-roller/file-roller-3.12.2.ebuild
new file mode 100644
index 00000000..5466871d
--- /dev/null
+++ b/app-arch/file-roller/file-roller-3.12.2.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+
+inherit eutils gnome2 readme.gentoo
+
+DESCRIPTION="Archive manager for GNOME"
+HOMEPAGE="http://fileroller.sourceforge.net/ https://wiki.gnome.org/Apps/FileRoller"
+
+LICENSE="GPL-2+ CC-BY-SA-3.0"
+SLOT="0"
+IUSE="nautilus packagekit"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux"
+
+# gdk-pixbuf used extensively in the source
+# cairo used in eggtreemultidnd.c
+# pango used in fr-window
+RDEPEND="
+ >=app-arch/libarchive-3:=
+ >=dev-libs/glib-2.36:2
+ >=dev-libs/json-glib-0.14
+ >=x11-libs/gtk+-3.9.3:3
+ >=x11-libs/libnotify-0.4.3:=
+ sys-apps/file
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/pango
+ packagekit? ( app-admin/packagekit-base )
+"
+DEPEND="${RDEPEND}
+ dev-util/desktop-file-utils
+ >=dev-util/intltool-0.40.0
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+PDEPEND="nautilus? ( ~gnome-extra/nautilus-file-roller-${PV} )"
+
+# eautoreconf needs:
+# gnome-base/gnome-common
+
+DISABLE_AUTOFORMATTING="yes"
+DOC_CONTENTS="
+${PN} is a frontend for several archiving utilities. If you want a
+particular archive format support, see ${HOMEPAGE}
+and install the relevant package. For example:
+7-zip - app-arch/p7zip
+ace - app-arch/unace
+arj - app-arch/arj
+cpio - app-arch/cpio
+deb - app-arch/dpkg
+iso - app-cdr/cdrtools
+jar,zip - app-arch/zip and app-arch/unzip
+lha - app-arch/lha
+lzop - app-arch/lzop
+rar - app-arch/unrar or app-arch/unar
+rpm - app-arch/rpm
+unstuff - app-arch/stuffit
+zoo - app-arch/zoo"
+
+src_prepare() {
+ # Use absolute path to GNU tar since star doesn't have the same
+ # options. On Gentoo, star is /usr/bin/tar, GNU tar is /bin/tar
+ epatch "${FILESDIR}"/${PN}-2.10.3-use_bin_tar.patch
+
+ # File providing Gentoo package names for various archivers
+ cp -f "${FILESDIR}/3.6.0-packages.match" data/packages.match || die
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ DOCS="AUTHORS ChangeLog HACKING MAINTAINERS NEWS README* TODO"
+ # --disable-debug because enabling it adds -O0 to CFLAGS
+ gnome2_src_configure \
+ --disable-run-in-place \
+ --disable-static \
+ --disable-debug \
+ --enable-magic \
+ --enable-libarchive \
+ --with-smclient=xsmp \
+ --disable-nautilus-actions \
+ $(use_enable packagekit) \
+ ITSTOOL=$(type -P true)
+}
+
+src_install() {
+ gnome2_src_install
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+ readme.gentoo_print_elog
+}
diff --git a/app-arch/file-roller/files/3.6.0-packages.match b/app-arch/file-roller/files/3.6.0-packages.match
new file mode 100644
index 00000000..4085b191
--- /dev/null
+++ b/app-arch/file-roller/files/3.6.0-packages.match
@@ -0,0 +1,30 @@
+[Package Matches]
+arj=app-arch/arj
+binutils=sys-devel/binutils
+bzip2=app-arch/bzip2
+cpio=app-arch/cpio
+dpkg=app-arch/dpkg
+genisoimage=virtual/cdrtools
+gzip=app-arch/gzip
+lha=app-arch/lha
+lrzip=app-arch/lrzip
+lzip=app-arch/lzip
+lzma=app-arch/xz-utils
+lzop=app-arch/lzop
+ncompress=app-arch/ncompress
+p7zip=app-arch/p7zip
+p7zip-full=
+p7zip-rar=
+rar=app-arch/rar
+rpm=app-arch/rpm
+rzip=app-arch/rzip
+tar=app-arch/tar
+unace=app-arch/unace
+unalz=
+unarchiver=app-arch/unar
+unrar=app-arch/unrar
+unstaff=
+unzip=app-arch/unzip
+xz=app-arch/xz-utils
+zip=app-arch/zip
+zoo=app-arch/zoo
diff --git a/app-arch/file-roller/files/file-roller-2.10.3-use_bin_tar.patch b/app-arch/file-roller/files/file-roller-2.10.3-use_bin_tar.patch
new file mode 100644
index 00000000..edaa16c1
--- /dev/null
+++ b/app-arch/file-roller/files/file-roller-2.10.3-use_bin_tar.patch
@@ -0,0 +1,12 @@
+diff -uNr file-roller-2.10.3/src/fr-command-tar.c file-roller-2.10.3.patched/src/fr-command-tar.c
+--- file-roller-2.10.3/src/fr-command-tar.c 2005-04-22 18:39:22.000000000 +0200
++++ file-roller-2.10.3.patched/src/fr-command-tar.c 2005-06-06 14:29:45.000000000 +0200
+@@ -225,7 +225,7 @@
+ if (command != NULL)
+ fr_process_begin_command (comm->process, command);
+ else
+- fr_process_begin_command (comm->process, "tar");
++ fr_process_begin_command (comm->process, "/bin/tar");
+ g_free (command);
+ }
+
diff --git a/app-arch/file-roller/metadata.xml b/app-arch/file-roller/metadata.xml
new file mode 100644
index 00000000..d529497a
--- /dev/null
+++ b/app-arch/file-roller/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>gnome</herd>
+ <use>
+ <flag name="nautilus">Enable file-roller to integrate with
+ <pkg>gnome-base/nautilus</pkg> by providing entries in its context
+ menu</flag>
+ <flag name="packagekit">Enable support for the distro-neutral package
+ manager GUI <pkg>app-admin/packagekit</pkg></flag>
+ </use>
+</pkgmetadata>